/**
 * upload files and show loading modal
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 1.0
 */

let form = document.getElementById("upload");
let error = $('#error');

form.onsubmit = function (event) {
    event.preventDefault();
    let formData = new FormData(form);

    formData.append('file', document.getElementById("file"));

    let xhr = new XMLHttpRequest();

    xhr.onloadstart = function (e) {
        loading.removeClass("hide");
        $('.sidenav').sidenav('close');
        loading.modal('open');
    };

    xhr.onloadend = function (e) {
        clearSelected();
        if (/[a-z]/.test(xhr.responseText)) {
            console.log(xhr.responseText);
            loading.modal('close');
            $('#error-message').text(xhr.responseText);
            error.modal('open');
        }
        updateDatasets();
        form.reset();

    };

    xhr.open('POST', form.getAttribute('action'), true);
    xhr.send(formData);

    return false;
};
